更新记录

LNMP 2.1

增加PHP 8.3支持；
增加MySQL 8.4支持；
增加Nginx http3支持；
优化重写fail2ban安装脚本；
优化UOS下支持；
优化MySQL升级脚本；
优化高gcc版本下的支持；
优化开机启动部分脚本；
优化MySQL升级到MariaDB脚本；
优化PHP升级脚本；
添加Ubuntu 23.04支持；
添加Huawei Cloud EulerOS支持；
修复部分菜单显示错误；
移除设置composer国内源；
更新诸多软件版本；
其他一些功能优化及调整......

LNMP 2.0

增加PHP 8.2支持；
添加MySQL 5.5、5.6二进制安装和升级方式；
添加MySQL 8.0 aarch64架构下二进制安装方式；
添加MariaDB二进制安装和升级方式；
添加zblog伪静态；
添加php-redis测试脚本；
添加Nginx编译参数--with-http_realip_module参数；
添加RHEL 9、CentOS Steam 9、Oracle 9、Alma 9、Rocky 9支持；
添加MariaDB 10.11，移除MariaDB 10.3；
增加Amazon Linux 2023支持；
增加MySQL升级到MariaDB时二进制安装方式；
增加OpenCloudOS支持；
增加SourceGuardian PHP 8.2支持；
优化低版本PHP在新Linux发行版下的支持；
优化Anolis OS 7支持；
优化Oracle 7支持；
优化SourceGuardian安装脚本；
优化php-memcached安装脚本；
优化离线安装；
优化lua安装流程并使用最新版本；
优化RHEL有订阅时不使用CentOS源；
优化MariaDB 10.5+版本升级；
优化PHP 7.0及以下版本在高版本Linux版本下的支持；
优化PHP 5.5-5.6在AARCH64架构下的支持；
优化composer安装脚本；
优化MySQL 5.5,5.6,5.7在OpenSSL3.0下安装失败的问题；
升级Nginx至1.24.0；
修复apache2.4邮箱设置问题；
国内centos源默认使用ustc源；
调整acme.sh默认使用RSA证书；
更新诸多软件版本；
其他一些功能优化及调整......

LNMP 1.9

增加rocky linux 和alma linux支持；
增加PHP 8.1支持；
增加PHP模块exif、fileinfo、ldap、bz2、sodium、imap、swoole和SourceGuardian Loader的支持安装，安装lnmp前lnmp.conf 中开启后安装lnmp或 ./addons.sh 安装以上模块；
增加ngx_fancyindex模块，lnmp.conf中开启后，安装lnmp或升级nginx；
增加nginx模块--with-stream_ssl_preread_module，方便使用stream ssl相关配置；
增加UOS统信桌面家庭版、桌面专业版、服务器版支持；
增加银河麒麟服务器操作系统和桌面系统支持；
增加华为openEuler支持；
增加阿里巴巴龙蜥Anolis OS支持；
增加CentOS Stream 9支持；
增加Alma Linux 9支持；
增加MySQL 5.7、8.0 二进制安装和升级方式；
增加PHP 7.4+ webp支持；
lnmp管理脚本增加HTTP 301跳转HTTPS的选项；
lnmp管理脚本增加是否启用IPv6选项；
移除mariadb 10.1, 10.2增加mariadb 10.5, 10.6；
泛域名SSL增加了ZeroSSL支持；
优化AlibabaCloud支持；
优化部分SSL添加代码；
优化FTP用户添加部分代码；
优化离线安装；
优化部分EOL Linux发行版的安装；
优化OpenSSL支持；
优化RHEL 9系下uw-imap支持情况；
调整MariaDB升级下载地址；
更新诸多软件版本；
其他一些功能优化及调整......

LNMP 1.8

增加PHP 8.0支持；
增加Oracle Linux支持；
增加WSL优化支持；
增加CentOS6源自动调整；
增加BuyPass、ZeroSSL SSL证书；
增加php-memcache支持PHP 8.0；
增加imagick支持PHP 8.0；
增加apcu支持PHP 8.0；
优化时间同步；
优化Aliyunx Linux优化；
优化sudo下添加虚拟主机SSL；
优化CentOS8 Stream支持；
优化PHP下载；
更新诸多软件版本；
其他一些功能优化及调整......

LNMP 1.7

增加PHP 7.4支持；
增加MariaDB 10.4支持；
增加systemd service脚本；
增加phpmyadmin 5.0；
增加多PHP版本升级工具 ./upgrade.sh mphp，只支持7.2.x-7.2.x类似小版本升级，大版本直接新装即可；
移除MariaDB 10.0；
优化lnmp管理脚本；
优化数据库root密码重置工具；
优化系统版本获取脚本；
优化redis安装脚本；
优化fail2ban安装脚本；
优化nginx安装、升级脚本；
完善CentOS8、Ubuntu20、Deepin20、Fedora等新版本的支持；
完善MySQL升级时增加旧版本下载镜像；
调整php7 memcached使用稳定版；
修复lamp模式下ssl chain添加的bug；
更新诸多软件版本；
其他一些功能优化及调整......

LNMP 1.6

增加PHP 7.3支持；
增加MariaDB 10.3支持；
增加Nginx/Apache TLS 1.3支持；
增加使用DNS API方式只创建SSL证书不添加网站，命令lnmp onlyssl；
增加Fedora 30、Ubuntu 19.04、RHEL 8等新版本的支持；
增加nginx、apache等一些例子，并移至conf/example目录下；
增加在低于2048MB内存是增加2GB SWAP或低于1024MB时增加1GB SWAP的选项；
增加反向代理配置例子文件 nginx-reverse-proxy-example.conf；
增加只安装nginx模式增加拷贝lnmp管理工具；
增加 RHELRepo=local 参数，RHEL安装时使用RHEL本地源，不设置源为163 centos源；
增加 CheckMirror=n 参考，安装时不检查下载镜像，方便无网络安装；
优化不安装数据库时的处理流程；
优化acme.sh规则可能不生效的情况；
优化nginx系统满足条件是启用reuseport；
优化程序代码目录清理；
优化重写nginx管理脚本；
优化安装数据库时的内存判断，放宽内存限制；
修复新版深度Deepin 15.8桌面版问题；
修复新版Fedora 29下问题；
调整mysql使用带boost源码，同时支持不带boost安装方式；
调整卸载时不删除安装时添加的iptables规则；
调整fileinfo安装选项，内存满足时自动安装(可关闭)；
升级Nginx至1.16.0；
升级各程序版本；
更新诸多软件版本；
其他一些功能优化及调整......

LNMP 1.5

增加PHP 7.2支持；
增加MariaDB 10.2支持；
增加MySQL 8.0支持；
增加PHP模块fileinfo选项，安装或升级时可以选择是否安装开启，选项在安装包目录下 lnmp.conf 中 Enable_PHP_Fileinfo 默认为 n 不开启，如有安装设置为 y ；
增加Nginx lua模块选项，安装或升级时可以选择是否为nginx安装开启lua，选项在安装包目录下 lnmp.conf 中 Enable_Nginx_Lua 默认为 n 不开启，如有安装设置为 y ；
增加thinkphp、yii2、codeigniter、laravel伪静态；
增加使用acme.sh生成SSL证书，移除官方的certbot；
增加Nginx编译参数，默认开启stream；
增加Apache 2.4支持http2；
增加旧版本Ubuntu中国地区源；
增加虚拟主机添加时pathinfo可选项；
增加certbot升级到acme.sh的一键升级功能命令为 ./upgrade1.x-1.5.sh ssl 按提示输入和原来SSL虚拟主机一样配置的信息就可以；
增加多核编译加快安装时间；
增加kali Linux发行版支持；
增加对Amazone Linux 2支持；
增加修复MySQL gcc7 bug；
增加magento2实例配置文件 magento2-example.conf；
增加无人值守安装，官网上有具体教程；
增加Let's Ecrypt 通配符/泛域名 SSL证书生成，官网上有具体教程；
优化MySQL/MariaDB root密码重装工具；
修复深度Deepin桌面版问题；
修复MySQL bug；
修复MariaDB bug；
移除PHP禁用函数scandir；
调整默认PHP版本为5.6；
调整默认Apache版本为2.4；
调整MySQL/MariaDB安装时未输入密码由原来密码设为 root 调整为 lnmp.org#随机数字 ；
调整MySQL国内下载源为科大的；
调整LAMP模式下SSL添加过程增加中间证书可选项；
调整默认虚拟主机页面字体显示等细节；
调整nginx伪静态至/usr/local/nginx/conf/rewrite目录；
调整优化lnmp下载源选择；
完善卸载脚本；
完善优化lnmp升级脚本 upgrade1.x-1.5.sh；
调整数据库内存优化加载方法；
其他一些功能优化及调整......

LNMP 1.4

增加LNMP模式下多PHP版本安装，安装包目录下运行：./install.sh mphp 进行安装；
增加单独nginx安装，安装包目录下运行：./install.sh nginx 进行安装；
增加单独数据库安装，安装包目录下运行：./install.sh db 进行安装；
增加Let's Encrypt自动生成证书和自备SSL证书支持；
增加不安装数据库选项；
增加多PHP版本下扩展安装支持；
增加ioncube php7的支持；
增加apcu php扩展；
增加PHP7.1支持；
增加lnmp管理脚本升级脚本，安装包目录下运行：./upgrade1.x-1.4.sh；
增加对中国用户的识别，使用国内源；
增加Amazon Linux、Linux Mint支持；
增加计算显示LNMP安装使用时间；
增加是否已安装LNMP判断，防止重复安装覆盖数据；
增加在已存在目录下安装数据库时先进行备份；
增加防跨目录配置文件移除脚本，安装包目录里tools目录下运行 ./remove_open_basedir_restriction.sh ；
lnmp管理脚本增加SSL选项，可以选择Let's Encrypt或自定义证书和key文件，Letsencrypt每7天自动尝试续期；
lnmp管理脚本增加ftp账号信息显示；
lnmp管理脚本增加LNMP模式下添加虚拟主机时多PHP版本选择选项；
lnmp管理脚本去除add more domain name提示，添加直接输入域名，不添加直接回车；
lnmp管理脚本添加虚拟主机处理流程上的优化；
lnmp管理脚本增加多PHP状态管理支持；
lnmp管理脚本增加 lnmp ftp show 显示ftp账号信息；
lnmp管理脚本已存在虚拟主机SSL时可以直接lnmp ssl add 进行添加；
nginx默认使用openssl 1.0.2进行安装，以便更好的支持http2；
修复完善国内composer安装问题，国内能正常流畅的安装；
修复lnmpa/lamp模式下https问题；
修复arm下centos不存在libcurl依赖包的问题；
调整部分软件源码包格式为tar.bz2；
调整apache日志LogLevel为crit；
调整php模块的引入方式,使用with-config-file-scan-dir引入；
调整默认PHP版本调整为PHP 5.5；
调整国内外节点顺序，1,3,5 为国内节点(soft1.vpser.net 可调整数字)，2,4,6,8 为国外节点(soft2.vpser.net 可调整数字)。
调整默认虚拟主机不在使用www.lnmp.org域名，使用_代替；
增加lnmp.conf配置文件中nginx是否使用新版openssl编译安装选项；
增加LNMP模式下上传目录或不需php解析目录php禁止访问的实例代码，去掉注释修改其中目录重启nginx即可使用；
增加LNMP模式下的https实例配置文件：/usr/local/nginx/conf/enable-ssl-example.conf；
增加LNMPA模式下的https实例配置文件：/usr/local/nginx/conf/enable-lnmpa-ssl-vhost-example.conf；
增加LAMP模式下的https实例配置文件：/usr/local/apache/conf/enable-apache-ssl-vhost-example.conf；
增加PHP模块zts和non-zts自动识别；
添加Ubuntu 17.04支持；
php探针在php7下优化；
fastcgi.conf增加防跨目录的二次设置，移除参考：https://lnmp.org/faq/lnmp-vhost-add-howto.html#user.ini ；
imagemagick增加webp格式支持；
去掉pureftp配置文件匿名模式下匿名用户上传权限；
防止误卸载，卸载脚本增加备份数据库目录；
优化pureftpd安装脚本，可单独在服务器进行安装；
优化nginx虚拟主机配置文件，增加对let'sencrypt目录的允许规则；
优化卸载脚本；
优化组件模块安装脚本；
优化部分启动脚本；
调整升级MySQL/MariaDB时my.cnf和启动脚本的位置到MySQL/MariaDB备份目录下；
调整优化fail2ban、denyhosts安装脚本；
诸多小的优化及调整......

LNMP 1.3

优化安装脚本、升级脚本及组件安装脚本；
增加lnmp.conf配置文件，可以自定义下载服务器地址、数据库目录及nginx和php编译参数；不论安装升级都会调用该文件里的设置；
增加安装和升级时会根据配置自动优化相关参数；
增加php7支持；
增加mysql 5.7支持；
增加phpmyadmin升级功能；
php增加Composer工具；
php 5.4以上版本增加intl、xsl扩展；
增加nginx升级到1.9.5以上版本支持http2；
增加php-redis、php-memcached、php-memcache、imagick PHP7下模块的支持；
增加升级PHP/MySQL/MariaDB时对源目录进行完整备份，防范升级失败风险；
增加卸载LNMP/LNMPA/LAMP时对数据库目录进行备份功能；
增加lnmp脚本创建虚拟主机时可选创建MySQL数据库和FTP账号选项(需先安装好pureftpd)；
增加安装或升级完清理目录节约硬盘空间；
redis仅保留最新版，删除旧版支持；
修正在部分系统下MySQL无法正确设置密码的问题；
修正完善防火墙规则；
pureftpd去掉MySQL的依赖和web面板，只使用lnmp ftp {add|list|edit|del} 进行ftp账号管理；
调整pureftpd配置文件目录至/usr/local/pureftpd/etc/下；
nginx.conf php启用配置简化为include enable-php.conf;
诸多小的更新及调整......


2015年6月1日发布LNMP 1.2

完全重写优化安装脚本、升级脚本及组件安装等大部分脚本；
状态管理、虚拟主机管理、FTP管理及数据库管理全部采用lnmp命令替换，去掉/root/vhost.sh和/root/lnmp脚本；
Nginx、MySQL/MariaDB、PHP的升级脚本整合为upgrade.sh;
缓存、加速、imageMagick、ionCube等的安装卸载采用addons.sh进行；
增加SSH防护工具DenyHosts、Failban安装脚本及DenyHosts被封IP删除脚本；
增加新的备份脚本backup.sh；
支持的Linux发行版：CentOS 5-7、RHEL 6-7、Fedora 20-21、Aliyun、Debian 6-8、Raspbian、Ubuntu 10.10-15.04；
支持ARM平台，Raspberry Pi已测试；
MySQL安装时可选5.1.73、5.5.42、5.6.23，MariaDB可选5.5.42、10.0.17；
PHP安装时可选5.2.17、5.3.29、5.4.41、5.5.25、5.6.9；
安装时增加内存优化jemalloc或gperftools；
Apache安装时可选2.2.29或2.4.12；
Apache日志统一到/home/wwwlogs/下；
更新Nginx至1.8.0；
更新Zend Guard Loader至支持PHP 5.6；
Nginx配置文件进行了调整，启用php和pathinfo采用include方式，增加ssl范例配置；



2014年6月1日发布LNMP 1.1

调整优化脚本安装脚本；
安装时增加MariaDB选项；
增加MySQL升级脚本 upgrade_mysql.sh；
增加MySQL升级到MariaDB脚本 upgrade_mysql2mariadb.sh；
增加MariaDB升级脚本 upgrade_mariadb.sh；
增加Redis安装脚本 redis.sh；
增加OPcache安装脚本 opcache.sh；
增加MySQL/MariaDB root密码重置脚本；
添加pathinfo支持，去掉include pathinfo的#，在try_files前加#重启nginx即可使用；
重写nginx init.d脚本；
优化PHP升级脚本；
优化LNMP升级到LNMPA脚本，PHP可选PHP5.2或5.3,调整编译参数和配置文件；
优化LNMPA PHP升级脚本，支持5.4,5.5；
优化Xcache安装脚本，增加xcache管理界面；
优化Memcached安装脚本；
优化其他相关脚本使其支持MySQL的同时可支持MariaDB；
优化Nginx部分配置；
优化Pureftpd安装脚本；
优化Nginx配置文件，增加部分参数，去掉注释即可使用；
优化PHP-FPM参数，增加slowlog慢日志选项，可修改request_slowlog_timeout参数启用；
更新wordpress伪静态；
更新Nginx状态页为http://IP/nginx_status；
更新Nginx至1.6.0；
更新MySQL至5.1.73,5.5.37；
更新PHP至5.3.28；
更新Xcache至3.1.0；
更新ImageMagick至6.8.8-9；
更新phpMyAdmin至4.2.2；
去除fcgi.conf，使用nginx自带的fastcgi.conf；
去除Nginx日志多余配置，采用统一日志名称；
去除PHP编译参数--with-curlwrappers；


2013年6月1日发布LNMP 1.0

调整优化安装脚本，自动记录安装日志至/root/lnmp-install.log安装失败时可以提供此文件；
安装时增加PHP 5.3和MySQL 5.5版本选择，可以自由选择；
删除安装时需要输入域名的选择，以免对新生造成误导；
默认站点目录更换到/home/wwwroot/default/ ；
增加proftpd安装脚本 proftpd.sh和proftpd用户创建脚本proftpd_vhost.sh；
增加xcache安装脚本；
增加502重启脚本；
增加php 5.2.17安装脚本，适合已升级5.3，而有程序需要php 5.2的用户；
添加nginx日志切割脚本 cut_nginx_logs.sh;
添加php禁用函数删除脚本remove_disable_function.sh;
将memecache扩展安装脚本移至memcached.sh；
优化eaccelerator，增加测试版本选择，可以使其支持php 5.4；
优化ionCube Loader安装脚本，增加对php 5.4的支持；
PHP禁用函数里去掉fsockopen和pfsockopen；
增加shopex、dedecms、drupal、ecshop伪静态文件；
PHP 5.3版本增加request_terminate_timeout php脚本运行时间限制参数，如果有采集程序将该值修改为0；
nginx配置增加IE6禁用gzip；
nginx版本升级为1.2.7；
增加支持PHP 5.4的最新版ZendGuardLoader；


2012年4月23日发布LNMP 0.9

优化安装过程及错误处理；
修正eaccelerator和ionCube的PHP版本判断错误的问题；
修正memcached pid创建失败的问题
修正pdo_mysql安装方法；
PHP增加部分禁用函数；
优化Nginx升级脚本；
去除vsftpd安装脚本；
修正访问不存在的PHP时返回404；
更新Nginx版本；
更新PHP探针；
增加phpwin伪静态
升级过程增加停止LNMP相关服务；
修正Nginx log_format问题；

2011年4月27日发布LNMP 0.7
优化安装过程，修复多处安装错误处理；
添加LNMP至LNMPA升级包；
重写PureFTP安装包，实现只需要输入密码即可安装成功；
Nginx升级至0.8.54、MySQL升级至5.1.54、PHP升级至5.2.17；
优化PHP升级脚本；
优化Nginx升级脚本；
添加LNMPA PHP版本升级工具；
优化eAccelerator自动安装脚本，支持LNMPA同时多次安装都不会出现多次加载；
优化ionCube自动安装脚本，支持LNMPA同时多次安装都不会出现多次加载；；
去除了Suhosin；

2011年2月8日发布LNMP 0.6

优化安装过程，修复多处安装错误处理；
添加ubuntu专用安装脚本ubuntu.sh；
修善pureftpd安装脚本，增加自动开机启动；

2011年2月15日发布Nginx版本升级工具

2011年3月7日发布Nginx日志切割工具

2011年3月15日发布PHP自动升级工具

使用新探针，修复邮件测试功能

2010年10月9日发布LNMP 0.5
升级Nginx到0.7.67、MySQL到5.1.48、PHP升级到5.2.14、PHPMyAdmin升级到3.3.7
为安全将Nginx日志移动到/home/wwwlogs/下面；
更改32位64位判别方式；
增加系统时间调整，防止时间错误造成编译出错；
优化eAccelerator安装程序；
增加ionCube安装程序；
虚拟主机添加可以直接运行：/root/vhost.sh；
修正/root/lnmp状态判断错误。

2010年11月27日 更新lnmp文件上传大小限制为50MB
2010年12月7日 修正/root/pureftpd状态判断错误。
2010年12月10日 更新Nginx支持IPv6
2011年1月17日 将PHP执行时间有30秒调整为300秒。
2011年1月17日 安装脚本添加自动关闭SELINUX

2010年3月28日发布LNMP 0.4
添加LNMP状态管理
添加PureFTPd状态管理
PHP增加suhosin
增加VsFTPd、PureFTPd安装及管理
增强Nginx虚拟主机添加功能，添加多域名、伪静态支持、日志是否启用的功能
升级Nginx到0.7.65、MySQL到5.1.44

2009年11月15日发布LNMP 0.3
添加虚拟主机添加程序

2009年3月2日发布LNMP 0.2

2009年1月19日发布LNMP0.1